]> git.sur5r.net Git - bacula/bacula/commitdiff
Update
authorKern Sibbald <kern@sibbald.com>
Fri, 4 Jan 2008 16:28:08 +0000 (16:28 +0000)
committerKern Sibbald <kern@sibbald.com>
Fri, 4 Jan 2008 16:28:08 +0000 (16:28 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@6213 91ce42f0-d328-0410-95d8-f526ca767f89

regress/tests/restore-by-file-1t1d-tape [new file with mode: 0755]
regress/tests/restore-by-file-tape [deleted file]

diff --git a/regress/tests/restore-by-file-1t1d-tape b/regress/tests/restore-by-file-1t1d-tape
new file mode 100755 (executable)
index 0000000..8ac4118
--- /dev/null
@@ -0,0 +1,100 @@
+#!/bin/sh
+#
+# Run a simple backup of the Bacula build directory 
+#   to a tape where the maximum tape file size is set to 1M
+#   then restore a few files from it.  Note, by setting the maximum 
+#   file size to 1M, it runs very slow. There are about 64 files that
+#   are created during each of the two backups.
+#
+TestName="restore-by-file-1t1d-tape"
+JobName=restorebyfile
+. scripts/functions
+copy_tape_confs
+
+echo "${cwd}/build" >${cwd}/tmp/file-list
+sed s%\^%${cwd}% ${cwd}/scripts/flist | sort | uniq >${cwd}/tmp/restore2-list
+
+cp ${cwd}/bin/bacula-sd.conf ${cwd}/tmp/1
+sed "s%# Maximum File Size%  Maximum File Size%" ${cwd}/tmp/1 >${cwd}/bin/bacula-sd.conf
+
+change_jobname NightlySave $JobName
+start_test
+
+cat <<END_OF_DATA >${cwd}/tmp/bconcmds
+@output /dev/null
+messages
+@$out   ${cwd}/tmp/log1.out
+label storage=DDS-4 volume=TestVolume001 slot=0 pool=Default
+run job=$JobName level=Full yes
+wait
+messages
+@# 
+@# now do a restore
+@#
+@$out   ${cwd}/tmp/log2.out
+restore where=${cwd}/tmp/bacula-restores storage=DDS-4 file=<${cwd}/tmp/restore2-list
+yes
+wait
+messages
+@output
+quit
+END_OF_DATA
+
+run_bacula
+check_for_zombie_jobs storage=DDS-4
+stop_bacula
+
+dstat=0
+#
+# We need to stop and start Bacula to
+#  test appending to a previously written tape
+#
+for i in `cat ${cwd}/tmp/restore2-list`; do
+   diff $i ${cwd}/tmp/bacula-restores$i
+   if [ $? != 0 ] ; then
+      dstat=1
+   fi
+done
+
+cat <<END_OF_DATA >${cwd}/tmp/bconcmds
+@output /dev/null
+messages
+@$out   ${cwd}/tmp/log1.out
+run job=$JobName  level=Full yes
+wait
+messages
+@#
+@# now do a restore
+@#
+@$out   ${cwd}/tmp/log2.out
+restore where=${cwd}/tmp/bacula-restores
+7
+<${cwd}/tmp/restore2-list
+                                                                                        
+yes
+wait
+messages
+@output
+quit
+END_OF_DATA
+
+#
+# Bacula was stopped, but we must restart it to
+#  test appending to a previously written tape
+#
+run_bacula
+check_for_zombie_jobs storage=DDS-4
+stop_bacula
+
+check_two_logs
+
+scripts/check_for_zombie_jobs storage=DDS-4
+bin/bacula stop 2>&1 >/dev/null
+for i in `cat ${cwd}/tmp/restore2-list`; do
+   diff $i ${cwd}/tmp/bacula-restores$i
+   if [ $? != 0 ] ; then
+      dstat=1
+   fi
+done
+
+end_test
diff --git a/regress/tests/restore-by-file-tape b/regress/tests/restore-by-file-tape
deleted file mode 100755 (executable)
index 8ac4118..0000000
+++ /dev/null
@@ -1,100 +0,0 @@
-#!/bin/sh
-#
-# Run a simple backup of the Bacula build directory 
-#   to a tape where the maximum tape file size is set to 1M
-#   then restore a few files from it.  Note, by setting the maximum 
-#   file size to 1M, it runs very slow. There are about 64 files that
-#   are created during each of the two backups.
-#
-TestName="restore-by-file-1t1d-tape"
-JobName=restorebyfile
-. scripts/functions
-copy_tape_confs
-
-echo "${cwd}/build" >${cwd}/tmp/file-list
-sed s%\^%${cwd}% ${cwd}/scripts/flist | sort | uniq >${cwd}/tmp/restore2-list
-
-cp ${cwd}/bin/bacula-sd.conf ${cwd}/tmp/1
-sed "s%# Maximum File Size%  Maximum File Size%" ${cwd}/tmp/1 >${cwd}/bin/bacula-sd.conf
-
-change_jobname NightlySave $JobName
-start_test
-
-cat <<END_OF_DATA >${cwd}/tmp/bconcmds
-@output /dev/null
-messages
-@$out   ${cwd}/tmp/log1.out
-label storage=DDS-4 volume=TestVolume001 slot=0 pool=Default
-run job=$JobName level=Full yes
-wait
-messages
-@# 
-@# now do a restore
-@#
-@$out   ${cwd}/tmp/log2.out
-restore where=${cwd}/tmp/bacula-restores storage=DDS-4 file=<${cwd}/tmp/restore2-list
-yes
-wait
-messages
-@output
-quit
-END_OF_DATA
-
-run_bacula
-check_for_zombie_jobs storage=DDS-4
-stop_bacula
-
-dstat=0
-#
-# We need to stop and start Bacula to
-#  test appending to a previously written tape
-#
-for i in `cat ${cwd}/tmp/restore2-list`; do
-   diff $i ${cwd}/tmp/bacula-restores$i
-   if [ $? != 0 ] ; then
-      dstat=1
-   fi
-done
-
-cat <<END_OF_DATA >${cwd}/tmp/bconcmds
-@output /dev/null
-messages
-@$out   ${cwd}/tmp/log1.out
-run job=$JobName  level=Full yes
-wait
-messages
-@#
-@# now do a restore
-@#
-@$out   ${cwd}/tmp/log2.out
-restore where=${cwd}/tmp/bacula-restores
-7
-<${cwd}/tmp/restore2-list
-                                                                                        
-yes
-wait
-messages
-@output
-quit
-END_OF_DATA
-
-#
-# Bacula was stopped, but we must restart it to
-#  test appending to a previously written tape
-#
-run_bacula
-check_for_zombie_jobs storage=DDS-4
-stop_bacula
-
-check_two_logs
-
-scripts/check_for_zombie_jobs storage=DDS-4
-bin/bacula stop 2>&1 >/dev/null
-for i in `cat ${cwd}/tmp/restore2-list`; do
-   diff $i ${cwd}/tmp/bacula-restores$i
-   if [ $? != 0 ] ; then
-      dstat=1
-   fi
-done
-
-end_test